import { SimpleLocalIntegration } from '../../core/index.js';
import { OpendisplayConfigFlow } from './opendisplay.classes.configflow.js';
import { createOpendisplayDiscoveryDescriptor } from './opendisplay.discovery.js';
import type { IOpendisplayConfig } from './opendisplay.types.js';
import { opendisplayDomain, opendisplayProfile } from './opendisplay.types.js';

export class OpendisplayIntegration extends SimpleLocalIntegration<IOpendisplayConfig> {
  public readonly domain = opendisplayDomain;
  public readonly discoveryDescriptor = createOpendisplayDiscoveryDescriptor();
  public readonly configFlow = new OpendisplayConfigFlow();

  constructor() {
    super(opendisplayProfile);
  }
}

export class HomeAssistantOpendisplayIntegration extends OpendisplayIntegration {}
